Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tdb.cmdline
Class ModTDBAssembler

    java.lang.Object
      arq.cmdline.ModBase
          arq.cmdline.ModAssembler
              tdb.cmdline.ModTDBAssembler

All Implemented Interfaces:
  arq.cmdline.ArgModule, arq.cmdline.ArgModuleGeneral

    public class ModTDBAssembler

extends arq.cmdline.ModAssembler

Extends ModAssembler to include --tdb. Defaulting to "tdb.ttl" is done in ModTDBDataset because it interacts with --location

Field Summary
`static String` | `defaultAssemblerFile`

Fields inherited from class arq.cmdline.ModAssembler
`assemblerDescDecl`

Constructor Summary
`ModTDBAssembler()`

Method Summary
`String` | `getAssemblerFile()`
`com.hp.hpl.jena.tdb.base.file.Location` | `getLocation()`
`void` | `processArgs(arq.cmdline.CmdArgModule cmdLine)`
`void` | `registerWith(arq.cmdline.CmdGeneral cmdLine)`

Methods inherited from class arq.cmdline.ModAssembler
`create`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultAssemblerFile

    public static final String defaultAssemblerFile

See Also:
  Constant Field Values

Constructor Detail

### ModTDBAssembler

    public ModTDBAssembler()

Method Detail

### processArgs

    public void processArgs(arq.cmdline.CmdArgModule cmdLine)

  Specified by:
    `processArgs` in interface `arq.cmdline.ArgModule`
  Overrides:
    `processArgs` in class `arq.cmdline.ModAssembler`

### registerWith

    public void registerWith(arq.cmdline.CmdGeneral cmdLine)

  Specified by:
    `registerWith` in interface `arq.cmdline.ArgModuleGeneral`
  Overrides:
    `registerWith` in class `arq.cmdline.ModAssembler`

### getLocation

    public com.hp.hpl.jena.tdb.base.file.Location getLocation()

### getAssemblerFile

    public String getAssemblerFile()

  Overrides:
    `getAssemblerFile` in class `arq.cmdline.ModAssembler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Talis Information Ltd. Copyright ? 2010 Epimorphics Ltd.